### Constructor

# Foundry AuthProvider new_for_context

#### Declaration [src]

    FoundryAuthProvider*
    foundry_auth_provider_new_for_context (
      FoundryContext* context
    )

#### Description [src]

Creates a new `FoundryAuthProvider` for `context`.

#### Parameters

`context`

  Type: `FoundryContext`

  A `FoundryContext`.

  The data is owned by the caller of the function.

#### Return value

Type: `FoundryAuthProvider`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.